DROP TABLE IF EXISTS movie CASCADE;

CREATE TABLE movie (
    title text PRIMARY KEY,
    year integer NOT NULL
); 

-- Film "title" byl vydaný roku "year".

INSERT INTO movie VALUES 
     ( 'The Matrix', 1999), 
     ( 'Dracula', 1992 );

TABLE movie;


-- Zavedeme virtuální relační proměnnou movie_title, 
-- která bude obsahovat pouze názvy filmů.

DROP VIEW IF EXISTS movie_title CASCADE;

CREATE VIEW movie_title AS 
SELECT DISTINCT title FROM movie;

-- "title" je název filmu.

TABLE movie_title;

-- Přidáme film American Beauty do relační proměnné movie:

INSERT INTO movie VALUES 
  ( 'American Beauty', 1999 );

-- Změnila se i hodnota proměnné movie_title:
TABLE movie_title;
