DROP TABLE IF EXISTS movie CASCADE;

CREATE TABLE movie (
    movie_id integer PRIMARY KEY,
    title text NOT NULL,
    year integer NOT NULL,
    rating integer NOT NULL DEFAULT 0,
    UNIQUE ( title, year )
); 

-- Vlastním film "movie_id"
-- s názvem "title"
-- vytvořený roku "year",
-- kterému dávám "rating" hvězdiček.

INSERT INTO movie VALUES 
     ( 1, 'The Matrix', 1999, 4 ), 
     ( 2, 'Fight Club', 1999, 3 ),
     ( 3, 'Dracula', 1931, 1 );

TABLE movie;

-- Deklarujeme proměnnou movie_1999:

DROP VIEW IF EXISTS movie_1999 CASCADE;

CREATE VIEW movie_1999 AS 
SELECT * FROM movie WHERE year = 1999;

-- Vlastním film "movie_id"
-- s názvem "title"
-- vytvořený roku  "year" rovnému 1999,
-- kterému dávám "rating" hvězdiček.

TABLE movie_1999;


-- Změna hodnoty atributu:

UPDATE movie_1999 
SET    rating = 4 
WHERE  title = 'Fight Club';

TABLE movie_1999;

TABLE movie;


-- Přidání n-tice:

INSERT INTO movie_1999 VALUES ( 4, 'American Beauty', 1999, 2 );

TABLE movie_1999;

TABLE movie;


-- Odebrání n-tice:

DELETE FROM movie_1999 WHERE title = 'The Matrix';

TABLE movie_1999;

TABLE movie;
