DROP TABLE IF EXISTS movie CASCADE;

CREATE TABLE movie (
    movie_id integer PRIMARY KEY,
    title text NOT NULL,
    year integer NOT NULL,
    rating integer NOT NULL DEFAULT 0,
    UNIQUE ( title, year )
); 

-- Vlastním film "movie_id"
-- s názvem "title"
-- vytvořený roku "year",
-- kterému dávám "rating" hvězdiček.

INSERT INTO movie VALUES 
     ( 1, 'The Matrix', 1998, 4 ), -- Chyba v roku vydání. 
     ( 2, 'Fight Club', 1999, 3 ),
     ( 3, 'Dracula', 1999, 1 ); -- Taky chyba v roku vydání.

TABLE movie;

-- Deklarujeme proměnnou movie_1999:

DROP VIEW IF EXISTS movie_1999 CASCADE;

CREATE VIEW movie_1999 AS 
SELECT * FROM movie WHERE year = 1999;

-- Vlastním film "movie_id"
-- s názvem "title"
-- vytvořený roku  "year" rovnému 1999,
-- kterému dávám "rating" hvězdiček.

TABLE movie_1999;


-- Co se stane?

UPDATE movie_1999 
SET    year = 1999 
WHERE  movie_id = 1;

TABLE movie_1999;

TABLE movie;

-- Opravu provedeme v movie:
UPDATE movie
SET    year = 1999 
WHERE  movie_id = 1;

TABLE movie;
TABLE movie_1999;

-- A co se stane teď?

UPDATE movie_1999 
SET    year = 1931 
WHERE  movie_id = 3;

TABLE movie_1999;

TABLE movie;

-- Co tento příkaz způsobí?

INSERT INTO movie_1999 VALUES ( 4, 'Tenet', 2020, 3 );

TABLE movie_1999;

TABLE movie;

TABLE movie;

-- Nepřirozené: 
-- n-tice porušují omezení relačních proměnných.