DROP TABLE IF EXISTS movie CASCADE;

CREATE TABLE movie (
    movie_id integer PRIMARY KEY,
    title text NOT NULL,
    year integer NOT NULL,
    rating integer NOT NULL DEFAULT 0,
    UNIQUE ( title, year )
); 

-- Vlastním film "movie_id"
-- s názvem "title"
-- vytvořený roku "year",
-- kterému dávám "rating" hvězdiček.

INSERT INTO movie VALUES 
     ( 1, 'The Matrix', 1999, 4 ), 
     ( 2, 'Fight Club', 1999, 3 ),
     ( 3, 'Dracula', 1999, 1 ); -- Chyba v roku vydání.

TABLE movie;

-- Deklarujeme proměnnou movie_1999:

DROP VIEW IF EXISTS movie_1999 CASCADE;

CREATE VIEW movie_1999 AS 
SELECT * FROM movie WHERE year = 1999
WITH CHECK OPTION;

-- Vlastním film "movie_id"
-- s názvem "title"
-- vytvořený roku  "year" rovnému 1999,
-- kterému dávám "rating" hvězdiček.

TABLE movie_1999;

-- Nelze:
UPDATE movie_1999 
SET    year = 1931 
WHERE  movie_id = 3;

-- Musíme opravit zde:
UPDATE movie 
SET    year = 1931 
WHERE  movie_id = 3;

TABLE movie_1999;
TABLE movie;

-- Nelze:

INSERT INTO movie_1999 VALUES 
  ( 4, 'Tenet', 2020, 3 );

-- Musíme přidat zde:
INSERT INTO movie VALUES 
  ( 4, 'Tenet', 2020, 3 );

TABLE movie_1999;
TABLE movie;
